Search results for ""
Sorry. We didn't find any results for ""
Sorry, something bad happened. Please try again later.

Which Android devices have known issues with the iBlue devices?

Generally speaking, both iBlue device and app is compatible with Android 4.4 or later, with Bluetooth 4.0 support.

The following Android devices have known issues with the iBlue devices or apps:

There is no known problem

Last Updated: 12/29/2018 Print

✚ SWISS MADE